package alternatore.drivers.driverOut;

/** import javapipe.Prod; */

/**
* Drives an output port of the component.
*/
public class DriverOut implements IDriverOut {
    javapipe.Prod out;
    
    /** @param address IP address of the consuming component
       * @param port port number of the above
       * @return a DriverOut connected to the out port 
       * identified by the previous arguments
       */
    public DriverOut(String consAddress, String consPort) {
        out = new javapipe.Prod(consAddress, Integer.decode(consPort));
    }
    
    public void put(String s) {
        out.put(s);
    }
}