package alternatore.split;

import alternatore.drivers.driverIn.IDriverIn;
import alternatore.drivers.driverOut.IDriverOut;

/* realizza il comportamento di Split, usando tre driver dei porti. */
class Logica {

	private IDriverIn in;
	private IDriverOut outL;
	private IDriverOut outU;

	Logica(IDriverIn in, IDriverOut outL, IDriverOut outU) {
		this.in = in;
		this.outL = outL;
		this.outU = outU;
	}

	/* minimo comportamento per la Logica */
	void run( ) {
		while (true) {
			outL.put(in.get( ));
			outU.put(in.get( ));
		}
	}
}