package javapipe;

import java.net.*;
import java.io.*;

public class Cons implements IPipeInJ {
    private ObjectInputStream in;
    
    public Cons(Integer prodPort)  {
       try { 
           ServerSocket prodSocket = new ServerSocket(prodPort);
           Socket consSocket = prodSocket.accept( );
           in = new ObjectInputStream(consSocket.getInputStream( ));
       } catch (IOException e) {
           /** minima (pessima) gestione delle eccezioni */
           System.err.println("Cons build failed");
           System.exit(1);
       }
    }
 
    public Object get( ) {
       Object res = null;
       try {
           res = in.readObject( );
       } catch (ClassNotFoundException e) {
           /** minima (pessima) gestione delle eccezioni */
           System.err.println("get: problemi di serializzazione");
           System.exit(1);
       } catch (IOException e) {
           System.err.println("get failed.");
           System.exit(1);
       }
       return res;
    }
}
