package javapipe;

import java.net.Socket;
import java.io.ObjectOutputStream;
import java.io.OutputStream;
import java.io.IOException;
import java.io.InvalidClassException;

public class Prod implements IPipeOutJ {

    private ObjectOutputStream out;

    public Prod(String consAddress, int consPort)  { 
        try {
            Socket consSocket = new Socket(consAddress, consPort);
            OutputStream outS = consSocket.getOutputStream( );
            ObjectOutputStream out = new ObjectOutputStream(outS);
        } catch (IOException e) {
            /** minima (pessima) gestione delle eccezioni */
            System.err.println("put failed.");
            System.exit(1);
        }
    }

    public void put(Object anObject) {
        try {
            out.writeObject(anObject);
        } catch (InvalidClassException e) {
            /** minima (pessima) gestione delle eccezioni */
            System.err.println("put: problemi di serializzazione");
            System.exit(1);
        }catch (IOException e) {
            System.err.println("put failed.");
            System.exit(1);
        } 
    }
}